# Type alias Implementation

Implementation: {
collect: (() => Promise<Maybe<Capabilities>>);
request: ((options: RequestOptions) => Promise<void>);
}

#### Type declaration

- ##### collect: (() => Promise<Maybe<Capabilities>>)

  - - (): Promise<Maybe<Capabilities>>

    - #### Returns Promise<Maybe<Capabilities>>

- ##### request: ((options: RequestOptions) => Promise<void>)

  - - (options: RequestOptions): Promise<void>

    - #### Parameters

      - ##### options: RequestOptions

      #### Returns Promise<void>

- Defined in components/capabilities/implementation.ts:12

Generated using TypeDoc